package newCynic;

import java.io.PrintStream;
/**
 *  ,  .
 */

public class Logger {
    /**    */
    public static PrintStream _out;
    /**  
     * @param aMessage 
     */

    public static void log(String aMessage) {
        if (Constants.TO_CONSOLE) {
            _out.println(aMessage);
        }
        if (Constants.TO_LOG_FILE) {
            System.out.println(aMessage);
        }
    }
    /**
     *  ,    
     * @param aMessage 
     * @param aBracket 
     */
    public static void log(String aMessage, String aBracket) {
        String out_str = aBracket + " " + aMessage;
        if (Constants.TO_CONSOLE) {
            _out.println(out_str);
        }
        if (Constants.TO_LOG_FILE) {
            System.out.println(out_str);
        }
    }

    /**
     *    
     * @param aAutomate  
     * @param aStateName  
     * @param aEvent 
     */

    public static void logBegin(String aAutomate, String aStateName, int aEvent) {
        log(aAutomate + ":  " + aAutomate
                + "    " + aStateName
                + "   e" + aEvent, "{");
    }
    /**
     *    
     * @param aAutomate  
     * @param aState    
     */

    public static void logEnd(String aAutomate, String aState) {
        log(aAutomate + ":  " + aAutomate  + "      " + aState, "}");
    }

    /**
     *    
     * @param aAutomate  
     * @param aNewState   
     * @param aOldState   
     */

    public static void  logStateChange(String aAutomate, String aNewState, String aOldState) {
        log(aAutomate + ":  " + aAutomate
                + "    " + aOldState
                + "   " + aNewState, " T");
    }

    /**
     *    
     * @param x_name    
     * @param comment 
     * @param result  
     */
    public static void logInput(String x_name, String comment, boolean result) {
        String res_str = result ? "" : "";
        log(x_name + ": " + comment + "? - " + res_str + ".", " i");
    }
    /**
     *   
     * @param z_name   
     * @param comment 
     */
    public static void logOutput(String z_name, String comment) {
        log(z_name + ": " + comment + ".", " *");
    }
}
